<div *ngIf="usersData && usersData.length > 0; else noUsersMessage">
  <div *ngFor="let user of usersData" class="participant-card">
    <div class="participant-field"><span class="field-label">Code:</span> {{ user.code }}</div>
    <div class="participant-field"><span class="field-label">BIC:</span> {{ user.bic }}</div>
    <div class="participant-field"><span class="field-label">Name:</span> {{ user.name }}</div>
    <div class="participant-field"><span class="field-label">Short Name:</span> {{ user.shortName }}</div>
    <div class="participant-field"><span class="field-label">Type:</span> {{ user.type }}</div>
    <div class="participant-field"><span class="field-label">Logo:</span> {{ user.logo }}</div>
    <div class="participant-field"><span class="field-label">Settlement Bank:</span> {{ user.settlementBank }}</div>
  </div>
</div>
<ng-template #noUsersMessage>
  <div class="no-users-message">
    No participants found.
  </div>
</ng-template>